/*
 * Copyright (c) Camden Dixie O'Brien
 * SPDX-License-Identifier: AGPL-3.0-only
 */

#define MAXITER 1000

// Pretty Julia set zoom
#define SS 9
#define JULIA
#define JULIA_C_RE 0.285
#define JULIA_C_IM 0.010
#define CENTRE_RE -0.4825
#define CENTRE_IM -0.1825
#define ZOOMRATE 0.01

// Cool zoomy swirly animated Julia set
//#define SS 9
//#define JULIA
//#define JULIA_C_RE 0.300
//#define JULIA_DTHETA 0.00001
//#define ZOOMRATE 0.0004

// Nice Mandelbrot zoom
//#define SS 9
//#define CENTRE_RE -0.743643887
//#define CENTRE_IM  0.131825904
//#define ZOOMRATE 0.004

// Cool warping Mandelbrot zoom
//#define SS 4
//#define CENTRE_RE -0.900000000
//#define POWRATE 0.0001
//#define ZOOMRATE 0.001

// Funky swirly, warping Julia zoom
//#define SS 9
//#define JULIA
//#define JULIA_C_RE 0.5
//#define JULIA_C_IM 0.5
//#define CENTRE_RE 0.5
//#define CENTRE_IM -0.5
//#define JULIA_DTHETA -0.00002
//#define POWRATE 0.0001
//#define ZOOMRATE 0.0003
